
CC = clang++
CFLAGS = -Wall -Wextra -Iinclude 
LIBS = -lglfw -lX11 -lXi -lXcursor -lGL -lasound -ldl -lm

default:
	mkdir -p build
	$(CC) $(CFLAGS) main.cpp glad.c stb_image.cpp -o build/main $(LIBS)

run:
	cd build && nvidia-offload ./main
full:
	make && make run
clean:
	rm -f build/main
